GIT-REBASE-THEIRS(1)

NAME
git-rebase-theirs - Resolve rebase conflicts and failed cherry-picks by favoring 'theirs' version

SYNOPSIS
git-rebase-theirs [options] [--] FILE...

DESCRIPTION
Resolve git rebase conflicts in FILE(s) by favoring 'theirs' version. When using git rebase, conflicts are usually wanted to be resolved by favoring the <working branch> version (the branch being rebased, 'theirs' side in a rebase), instead of the <upstream> version (the base branch, 'ours' side) But git rebase --strategy -X theirs is only available from git 1.7.3 For older versions, git-rebase-theirs is the solution. And Despite the name, it's also useful for fixing failed cherry-picks. It works by discarding all lines between '<<<<<<< ' and '========' inclusive, and also the the '>>>>>> commit' marker. By default it outputs to stdout, but files can be edited in-place using --in-place, which, unlike sed, creates a backup by default.

OPTIONS

-h, --help
    show usage information.

-v, --verbose
    print more details in stderr.

--in-place[=SUFFIX]
    edit files in place, creating a backup with SUFFIX extension. Default if blank is ".bak"

--no-backup
    disables backup

SEE ALSO
https://github.com/MestreLion/git-tools

AUTHOR
Rodrigo Silva (MestreLion) linux@rodrigosilva.com